Delete Queue

Soft-delete an annotation queue.

Delete Queue

Soft-delete an annotation queue. The queue and its items will be marked as deleted but not permanently removed.

DELETE https://api.futureagi.com/model-hub/annotation-queues/{id}/
Bearer
          Click "Try It" to send a request
        

Authentication

HeaderDescription
X-Api-KeyYour API key
X-Secret-KeyYour secret key

Path Parameters

ParameterTypeRequiredDescription
idUUIDYesThe annotation queue ID

Response

Returns 204 No Content on success.

Code Examples

import requests

queue_id = "your-queue-uuid"
resp = requests.delete(
    f"https://api.futureagi.com/model-hub/annotation-queues/{queue_id}/",
    headers={"X-Api-Key": "YOUR_KEY", "X-Secret-Key": "YOUR_SECRET"}
)
print(resp.status_code)  # 204
import axios from 'axios';

const queueId = 'your-queue-uuid';
const resp = await axios.delete(
  `https://api.futureagi.com/model-hub/annotation-queues/${queueId}/`,
  { headers: { 'X-Api-Key': 'YOUR_KEY', 'X-Secret-Key': 'YOUR_SECRET' } }
);
console.log(resp.status);  // 204
curl -X DELETE "https://api.futureagi.com/model-hub/annotation-queues/your-queue-uuid/" \
  -H "X-Api-Key: YOUR_KEY" \
  -H "X-Secret-Key: YOUR_SECRET"
Was this page helpful?

Questions & Discussion